﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Saliavustaja.Entiteetit;
using Saliavustaja.Rajapinnat;
using Saliavustaja.TietokantaLiittymat;

namespace ravintolaprojekti
{
    class TilauksenVastaanotto
    {
        TilausDb tilausDb = new FileSystemTilausDb("C:\\Temp\\tietokanta.dat");
        PoytaDb poytaDb = new InMemoryPoytaDb();
        BonusAsiakasDb asiakasDb = new InMemoryBonusAsiakasDb();

        public TilauksenVastaanotto(TilausDb tilausDb, PoytaDb poytaDb)
        {

        }

        public TilauksenVastaanotto(TilausDb tilausDb, PoytaDb poytaDb, BonusAsiakasDb asiakasDb)
        {

        }

        public void VastaanotaTilaus (Tilaus tilaus)
        {
            if (tilaus != null)
            {
                tilausDb.Uusi(tilaus);
                poytaDb.VaraaPoyta(1); //vaihda numero
            }
        }

    }
}
